$ErrorActionPreference = 'Stop';

$packageName = 'MemProfiler'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_5_54-32bit.msi'
$url64      = 'http://cdn.memprofiler.com/download/MemProfilerInstaller5_5_54-64bit.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'MemProfiler*'

  checksum      = 'f5079b7ec0d8f72c74d66c28458142dbf8eb08960291aae87fad91aa3c66c8d9'
  checksumType  = 'sha256'
  checksum64    = '3cdd26d4c2386a93d65e945bb6701698baf081d4ef0bb1cf74fae78ddd6ff431'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
